com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gen2_Timings

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_Timings
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_Timings

-     public class STUHFL_T_ST25RU3993_Gen2_Timings
      extends BR_ST25RU3993_Gen2_Timings

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_Timings

      `BR_ST25RU3993_Gen2_Timings.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `T4Min`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_Gen2_Timings()`
    `STUHFL_T_ST25RU3993_Gen2_Timings(int T4Min)`
    `STUHFL_T_ST25RU3993_Gen2_Timings(STUHFL_T_ST25RU3993_Gen2_Timings other)` < I/O Param: T4 minimum value in us.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set Gen2 protocols timings
    `STUHFL_E.RET_CODE` | `fetch()` Get Gen2 protocols timings
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_Timings

      `_Get_Gen2_Timings, _Set_Gen2_Timings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### T4Min

          public int T4Min

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_Gen2_Timings

          public STUHFL_T_ST25RU3993_Gen2_Timings(STUHFL_T_ST25RU3993_Gen2_Timings other)

      < I/O Param: T4 minimum value in us. Default: T4Min = 0 .. Gen2: 2*3*Tari: 75us at TARI_12_50

    - #### STUHFL_T_ST25RU3993_Gen2_Timings

          public STUHFL_T_ST25RU3993_Gen2_Timings(int T4Min)

    - #### STUHFL_T_ST25RU3993_Gen2_Timings

          public STUHFL_T_ST25RU3993_Gen2_Timings()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set Gen2 protocols timings
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get Gen2 protocols timings
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`